-- cottonBaler
-- fcelsa (Team FSI Modding)
-- 24/02/2018

cottonBalerCreateBaleEvent = {};

cottonBalerCreateBaleEvent_mt = Class(cottonBalerCreateBaleEvent, Event);
InitEventClass(cottonBalerCreateBaleEvent, "cottonBalerCreateBaleEvent");

function cottonBalerCreateBaleEvent:emptyNew()
    local self = Event:new(cottonBalerCreateBaleEvent_mt);
    return self;
end

function cottonBalerCreateBaleEvent:new(object, baleFillType)
    local self = cottonBalerCreateBaleEvent:emptyNew()
    self.baleFillType = baleFillType;
    self.object = object;
    return self;
end

function cottonBalerCreateBaleEvent:readStream(streamId, connection)
    self.object = readNetworkNodeObject(streamId);
    self.baleFillType = streamReadUIntN(streamId, FillUtil.sendNumBits);
    self:run(connection);
end

function cottonBalerCreateBaleEvent:writeStream(streamId, connection)
    writeNetworkNodeObject(streamId, self.object);
    streamWriteUIntN(streamId, self.baleFillType, FillUtil.sendNumBits);
end

function cottonBalerCreateBaleEvent:run(connection)
    self.object:createBale(self.baleFillType);
end
